Subject: bug#7721: tmm-get-keymap: Wrong type argument

From: David Reitter <[email-masked]>
Date: Thu, 23 Dec 2010 18:35:41 -0500

X-Debbugs-CC: [email-masked],

I reproduce this bug (see below) with an up-to-date Emacs 24 branch build and Emacs -Q.  
M-x menu-bar-open, then select file menu and press RET.

It appears that tmm-get-keymap is unable to parse the short menu entries created with the `menu-bar-separator' constant.  

ps.: Jeff, thanks for your report, I am passing it on to the GNU Emacs team with this message.

Begin forwarded message:

> From: Jeff Horn <[email-masked]>
> Date: December 21, 2010 3:38:37 AM EST
> To: [email-masked]
> Subject: [Aquamacs-bugs] 23.2.50;
> Reply-To: Bug reports for Aquamacs Emacs <[email-masked]>
> 
> Begin Bug Report:
> 
> Calling =menu-bar-open= results in an error. From the messages buffer:
> 
> tmm-get-keymap: Wrong type argument: stringp, nil [2 times]
> 
> A textual menu is expected (as per =C-h f menu-bar-open=).
> 
> Bug is annoying, but not mission-critical, since I only use it out of
> muscle memory.
> 
> Begin Dump:
> In GNU Emacs 23.2.50.1 (i386-apple-darwin9.8.0, NS apple-appkit-949.54)
> of 2010-08-18 on braeburn.aquamacs.org - Aquamacs Distribution 2.1
> Windowing system distributor `Apple', version 10.3.1038
> configured using `configure  '--with-ns' '--without-x' 'CC=gcc'
> 'CFLAGS=-O3 -fno-tree-pre -falign-loops -arch i386' 'LDFLAGS=-O3
> -fno-tree-pre -falign-loops -arch i386''
> 
> Important settings:
>  value of $LC_ALL: nil
>  value of $LC_COLLATE: nil
>  value of $LC_CTYPE: nil
>  value of $LC_MESSAGES: nil
>  value of $LC_MONETARY: nil
>  value of $LC_NUMERIC: nil
>  value of $LC_TIME: nil
>  value of $LANG: nil
>  value of $XMODIFIERS: nil
>  locale-coding-system: nil
>  default enable-multibyte-characters: t
> 
> Major mode: Fundamental
> 
> Minor modes in effect:
>  TeX-PDF-mode: t
>  TeX-source-correlate-mode: t
>  textmate-mode: t
>  shell-dirtrack-mode: t
>  rcirc-track-minor-mode: t
>  partial-completion-mode: t
>  yas/global-mode: t
>  yas/minor-mode: t
>  global-hl-line-mode: t
>  display-time-mode: t
>  desktop-save-mode: t
>  savehist-mode: t
>  smart-frame-positioning-mode: t
>  aquamacs-autoface-mode: t
>  recentf-mode: t
>  osx-key-mode: t
>  show-paren-mode: t
>  delete-selection-mode: t
>  pc-selection-mode: t
>  cua-mode: t
>  mouse-wheel-mode: t
>  file-name-shadow-mode: t
>  global-font-lock-mode: t
>  font-lock-mode: t
>  blink-cursor-mode: t
>  auto-encryption-mode: t
>  auto-compression-mode: t
>  column-number-mode: t
>  line-number-mode: t
>  transient-mark-mode: t
> 
> Recent input:
> ^B ^B ^B ^B ^B ^B ^B ^B ^B ^B ^B ^B ^B ^B ^B ^B ^H
> V <return> <help-echo> <help-echo> <down-mouse-1> <mouse-2>
> <help-echo> <down-mouse-1> <mouse-1> <down-mouse-1>
> <mouse-1> <down-mouse-1> <mouse-1> <help-echo> <down-mouse-1>
> <mouse-1> ^X K <return> <help-echo> <help-echo> <help-echo>
> <help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
> <help-echo> <down-mouse-1> <mouse-1> ^A ^K ^K ^X ^S
> ^C V ^C V ^H V T A B B A R - M O D <tab> <return> <help-echo>
> <help-echo> <switch-frame> <down-mouse-1> <mouse-2>
> <help-echo> <help-echo> <help-echo> <down-mouse-1>
> <mouse-1> ^X ^S ^X ^B N N N N N <return> ^X ^B P N
> <return> ⌥< ^N ^N ^N ^N ^N ^N ^N ^E <return> ( G L
> O B A L - S E T - K E Y SPC " \ ⇧C - C \ <backspace>
> M ^F SPC ' M E N U - B A R - O P E N ^B ^X ^S ^X ^S
> ^C V ^C M ^X K <return> ^H K ^C M <help-echo> <switch-frame>
> <down-mouse-1> <mouse-2> ^C M ^N ^C M ^H K ^C M ⌘W
> ^X ^B N N N N <return> <escape> ^G ^H A T M M - G E
> T - K E Y M A P <return> ^N ^N ^N ^N ^N <return> <help-echo>
> <down-mouse-1> <mouse-2> <wheel-down> <double-wheel-down>
> <triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
> <wheel-down> <double-wheel-down> <triple-wheel-down>
> <triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
> <triple-wheel-down> <triple-wheel-down> P P P P P P
> B B N P I O O O O O O ^P <return> ^N ^A ^N ^N ^P ^F
> ^F ^F ^F ^F ^F ^F ^F ^F ^F ^F ^F ^F ^F ^F ^F ^F ^F
> ^F ^F ^F ^F ^F ^F ^F ^F ^F ^F <return> ^X K <return>
> ^X K <return> ^P ^P ^P ^P ^P ^P ^P ^P ^A ^SPC ^E ^C
> ^G ⌘C <menu-bar> <help-menu> <bug-diagnosis> <send
> -emacs-bug-report>
> 
> Recent messages:
> tmm-get-keymap: Wrong type argument: stringp, nil [2 times]
> Type "q" to quit.
> Updating buffer list...done
> Commands: m, u, t, RET, g, k, S, D, Q; q to quit; h for help
> Type "q" to quit.
> ad-Orig-error: No previous View-mode search [6 times]
> byte-code: Buffer is read-only: #<buffer *Help*> [2 times]
> ad-Orig-error: No previous View-mode search [2 times]
> byte-code: Buffer is read-only: #<buffer *Help*>
> Mark set
> 
> Load-path shadows:
> /Users/jeffreyhorn/bin/emacs-lisp/yasnippet/extras/imported/html-mode/.yas-setup
> hides /Users/jeffreyhorn/bin/emacs-lisp/yasnippet/extras/imported/objc-mode/.yas-setup
> /Users/jeffreyhorn/bin/emacs-lisp/yasnippet/extras/imported/html-mode/.yas-setup
> hides /Users/jeffreyhorn/bin/emacs-lisp/yasnippet/extras/imported/rails-mode/.yas-setup
> /Users/jeffreyhorn/bin/emacs-lisp/yasnippet/extras/imported/html-mode/.yas-setup
> hides /Users/jeffreyhorn/bin/emacs-lisp/yasnippet/extras/imported/ruby-mode/.yas-setup
> /Users/jeffreyhorn/bin/emacs-lisp/epresent/epresent hides
> /Users/jeffreyhorn/.emacs.d/elpa/epresent-0.1/epresent
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/contrib/lisp/htmlize hides
> /Users/jeffreyhorn/.emacs.d/elpa/htmlize-1.37/htmlize
> ~/bin/emacs-lisp/lisppaste hides
> /Users/jeffreyhorn/.emacs.d/elpa/lisppaste-1.8/lisppaste
> ~/Library/Application Support/Aquamacs Emacs/vendor/textmate hides
> /Users/jeffreyhorn/.emacs.d/elpa/textmate-1/textmate
> /Users/jeffreyhorn/bin/emacs-lisp/yaml-mode/yaml-mode hides
> /Users/jeffreyhorn/.emacs.d/elpa/yaml-mode-0.0.5/yaml-mode
> ~/bin/emacs-lisp/paredit hides
> /Users/jeffreyhorn/.emacs.d//elpa-to-submit/paredit
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/contrib/lisp/htmlize hides
> /Users/jeffreyhorn/.emacs.d//elpa-to-submit/htmlize
> /Users/jeffreyhorn/bin/emacs-lisp/color-theme-6.6.0/color-theme hides
> /Users/jeffreyhorn/.emacs.d//elpa-to-submit/color-theme
> /Users/jeffreyhorn/.emacs.d/elpa/json-1.2/json hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/json
> /Users/jeffreyhorn/.emacs.d/custom hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/custom
> /Users/jeffreyhorn/.emacs.d/elpa/css-mode-1.0/css-mode hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/textmodes/css-mode
> ~/bin/emacs-lisp/xscheme hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/progmodes/xscheme
> /Users/jeffreyhorn/.emacs.d/elpa/ruby-mode-1.1/ruby-mode hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/progmodes/ruby-mode
> /Users/jeffreyhorn/.emacs.d//elpa-to-submit/cperl-mode hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/progmodes/cperl-mode
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-xoxo hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-xoxo
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-wl hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-wl
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-w3m hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-w3m
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-vm hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-vm
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-timer hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-timer
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-table hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-table
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-src hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-src
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-rmail hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-rmail
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-remember hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-remember
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-publish hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-publish
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-protocol hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-protocol
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-plot hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-plot
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-mouse hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-mouse
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-mobile hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-mobile
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-mhe hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-mhe
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-mew hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-mew
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-macs hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-macs
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-mac-message hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-mac-message
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-list hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-list
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-latex hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-latex
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-jsinfo hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-jsinfo
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-irc hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-irc
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-install hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-install
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-inlinetask hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-inlinetask
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-info hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-info
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-indent hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-indent
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-id hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-id
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-icalendar hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-icalendar
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-html hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-html
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-habit hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-habit
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-gnus hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-gnus
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-freemind hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-freemind
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-footnote hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-footnote
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-feed hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-feed
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-faces hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-faces
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-exp hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-exp
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-exp-blocks hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-exp-blocks
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-docbook hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-docbook
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-datetree hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-datetree
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-crypt hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-crypt
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-compat hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-compat
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-colview hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-colview
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-clock hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-clock
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-bibtex hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-bibtex
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-bbdb hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-bbdb
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-attach hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-attach
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-ascii hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-ascii
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-archive hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-archive
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/lisp/org-agenda hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/org/org-agenda
> /Users/jeffreyhorn/bin/emacs-lisp/emacs-w3m/attic/rfc2368 hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/mail/rfc2368
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-xdcc hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-xdcc
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-truncate hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-truncate
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-track hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-track
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-stamp hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-stamp
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-spelling hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-spelling
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-speedbar hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-speedbar
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-sound hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-sound
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-services hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-services
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-ring hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-ring
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-replace hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-replace
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-pcomplete hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-pcomplete
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-page hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-page
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-notify hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-notify
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-networks hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-networks
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-netsplit hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-netsplit
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-menu hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-menu
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-match hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-match
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-log hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-log
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-list hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-list
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-lang hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-lang
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-join hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-join
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-imenu hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-imenu
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-identd hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-identd
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-ibuffer hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-ibuffer
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-hecomplete hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-hecomplete
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-goodies hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-goodies
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-fill hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-fill
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-ezbounce hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-ezbounce
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-dcc hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-dcc
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-compat hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-compat
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-capab hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-capab
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-button hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-button
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-backend hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-backend
> /Users/jeffreyhorn/.emacs.d/elpa/erc-5.3/erc-autoaway hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/erc/erc-autoaway
> /Users/jeffreyhorn/.emacs.d/elpa/emms-3.0/tq hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/emacs-lisp/tq
> /Users/jeffreyhorn/bin/emacs-lisp/org-mode/contrib/lisp/htmlize hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/htmlize
> /Users/jeffreyhorn/.emacs.d/elpa/findr-0.7/findr hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/findr
> /Users/jeffreyhorn/bin/emacs-lisp/color-theme-6.6.0/color-theme hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/color-theme
> /Users/jeffreyhorn/bin/emacs-lisp/color-theme-6.6.0/themes/color-theme-library
> hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/color-theme-library
> /Users/jeffreyhorn/bin/emacs-lisp/color-theme-6.6.0/color-theme-autoloads
> hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/color-theme-autoloads
> /Users/jeffreyhorn/.emacs.d//elpa-to-submit/ruby-electric hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/ruby-electric
> /Users/jeffreyhorn/.emacs.d/elpa/inf-ruby-2.1/inf-ruby hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/inf-ruby
> /Users/jeffreyhorn/.emacs.d/elpa/applescript-mode-20090321/applescript-mode
> hides /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/applescript-mode
> /Users/jeffreyhorn/.emacs.d/elpa/inflections-1.0/inflections hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/emacs-rails/inflections
> ~/bin/emacs-lisp/python-mode hides
> /Applications/Aquamacs.app/Contents/Resources/lisp/aquamacs/edit-modes/python-mode/python-mode
> 
> Features:
> (shadow mail-extr emacsbug apropos tmm face-remap goto-addr cua-rect
> org-ascii preview prv-emacs reftex-vcr reftex-dcr reftex-auc bib-cite
> tex-fold tex-bar tex-buf toolbar-x font-latex latex tex-style tex
> latexenc html-mode jsp-html-helper-mode asp-html-helper-mode
> php-html-helper-mode html-helper-mode tempo cc-mode cc-fonts cc-menus
> cc-cmds cc-styles cc-align cc-engine org-publish mule-util cal-move
> org-capture org-mks newcomment dired-aux multi-isearch ess-roxy hideshow
> tramp-imap tramp-gw tramp-fish tramp-smb tramp-cache tramp-ftp
> tramp-cmds tramp auth-source tramp-compat trampver ess-toolbar ess-mouse
> mouseme ess-menu ess-swv ess-noweb noweb-font-lock-mode ess-bugs-l
> essd-els ess-sas-d ess-sas-l ess-sas-a ess-arc-d ess-vst-d ess-xls-d
> ess-lsp-l ess-sta-d ess-sta-l cc-vars cc-defs make-regexp ess-sp6-d
> ess-sp5-d ess-sp3-d ess-r-d ess-r-args ess-s-l ess-inf ess-utils
> ess-mode noweb-mode ess ess-custom ess-compat ess-site cal-china lunar
> solar cal-dst cal-bahai cal-islam cal-hebrew holidays hol-loaddefs
> diary-lib diary-loaddefs cal-iso browse-url ibuf-ext ibuffer hi-lock
> vc-git idle-highlight paredit tabify sh-script executable rinari jump
> inflections findr flymake ruby-compilation which-func inf-ruby compile
> ruby-mode project-local-variables cdlatex texmathp reftex-parse reftex
> reftex-vars org-indent url-cache flyspell ispell org-wikinodes
> org-velocity electric org-track url-handlers org-toc org-special-blocks
> org-registry org-panel org-mtags org-man org-mac-link-grabber
> org-mac-iCal org-learn org-exp-bibtex org-eval-light org-eval
> org-elisp-symbol org-depend org-collector org-table org-checklist
> org-bookmark bookmark org-annotate-file org-mouse org-w3m org-protocol
> org-mhe org-mac-message org-irc org-inlinetask org-habit org-jsinfo
> org-infojs org-html org-info org-id org-gnus org-ctags org-bibtex
> peepopen textmate edit-server session xscheme scheme w3m-load jot
> jot-mode org-latex org-export-latex org-beamer footnote org-exp ob-exp
> org-exp-blocks org-agenda org ob-sh shell ob-sass ob-ruby ob-python
> ob-latex ob-dot ob-ditaa ob-css ob-R ob-emacs-lisp ob-tangle ob-ref
> ob-lob ob-table org-footnote org-src ob-comint comint ob-keys ob ob-eval
> org-complete pcomplete org-list org-faces org-compat org-entities
> org-macs noutline outline cal-menu calendar cal-loaddefs org-install
> color-theme-subdued zenburn color-theme reporter emms-lastfm emms-url
> emms-browser sort emms-playlist-sort emms-score emms-player-xine
> emms-player-mpd tq emms-playing-time emms-lyrics emms-streams
> emms-mode-line emms-cache emms-info-ogginfo emms-info-mp3info emms-info
> later-do emms-playlist-mode emms-player-mplayer emms-player-simple
> emms-source-playlist emms-source-file emms-setup emms emms-compat
> lisppaste xml-rpc url-http tls url url-proxy url-privacy url-expand
> url-methods url-history url-auth url-cookie url-util url-parse url-gw
> url-vars xml rx erc-goodies erc erc-backend erc-compat format-spec pp
> rcirc-notify rcirc-groups rcirc ring yaml-mode message-x message
> ecomplete rfc822 mml mml-sec password-cache mm-decode mm-bodies
> mm-encode mailcap mail-parse rfc2231 rfc2047 rfc2045 qp ietf-drums
> mailabbrev nnheader gnus-util netrc mm-util mail-prsvr gmm-utils
> mailheader canlock sha1 hex-util hashcash mail-utils complete boxquote
> rect eldoc yasnippet dropdown-list derived assoc hl-line time desktop
> starter-kit-js starter-kit-ruby starter-kit-perl starter-kit-lisp
> starter-kit-eshell starter-kit-registers starter-kit-misc ido
> starter-kit-bindings windmove edmacro kmacro starter-kit-defuns imenu
> dominating-file ansi-color uniquify ffap starter-kit-elpa
> applescript-mode-autoloads asciidoc-autoloads auto-dictionary-autoloads
> chess-autoloads clojure-test-mode-autoloads clojure-mode-autoloads
> company-autoloads css-mode-autoloads diff-git-autoloads
> dired-isearch-autoloads elisp-depend-autoloads elk-test-autoloads
> emms-autoloads epresent-autoloads eproject-autoloads eproject dired
> erc-autoloads find-file-in-project-autoloads fringe-helper-autoloads
> gist-autoloads highlight-parentheses-autoloads htmlize-autoloads
> hungry-delete-autoloads idle-highlight-autoloads idle-require-autoloads
> iresize-autoloads javascript-autoloads js2-mode-autoloads json-autoloads
> kill-ring-search-autoloads lambdacalc-autoloads less-autoloads
> lisppaste-autoloads lusty-explorer-autoloads magit-autoloads
> mediawiki-autoloads muse-autoloads info nterm-autoloads pastie-autoloads
> perspective-autoloads project-local-variables-autoloads
> recent-addresses-autoloads rinari-autoloads jump-autoloads
> inflections-autoloads findr-autoloads ruby-compilation-autoloads
> inf-ruby-autoloads ruby-mode-autoloads sass-mode-autoloads
> haml-mode-autoloads shell-current-directory-autoloads shellfm-autoloads
> slime-repl-autoloads slime-autoloads smart-tab-autoloads smex-autoloads
> sudoku-autoloads tex-math-preview-autoloads texdrive-autoloads
> textmate-autoloads twitter-autoloads weblogger-autoloads
> xml-rpc-autoloads yaml-mode-autoloads yari-autoloads zenburn-autoloads
> package load-emacs-plugins aquamacs-mode-defaults auctex-config server
> preview-latex tex-site auto-loads smart-dnd aquamacs-aux savehist
> mouse-sel one-buffer-one-frame smart-frame-positioning drews_init
> color-theme-autoloads saveplace visual-line aquamacs-bug
> aquamacs-autoface-mode aquamacs-editing sendmail recentf tree-widget
> cus-edit osxkeys emulate-mac-keyboard-mode frame-cmds strings misc-fns
> thingatpt+ thingatpt frame-fns avoid aquamacs-mac-fontsets fit-frame
> aquamacs-frame-setup aquamacs-tabbar tabbar-window cl cl-19 tabbar
> easy-mmode warnings cus-start cus-load load-emacs-pre-plugins
> aquamacs-site-start filladapt aquamacs-redo check-for-updates
> aquamacs-menu osx_defaults aquamacs-tool-bar aquamacs
> mac-extra-functions aquamacs-tools aquamacs-macros parse-time timezone
> time-date paren delsel pc-select cua-base wid-edit regexp-opt advice
> advice-preload byte-opt bytecomp byte-compile debug help-fns help-mode
> view image-file disp-table tooltip ediff-hook vc-hooks lisp-float-type
> mwheel ns-win easymenu tool-bar dnd fontset image fringe lisp-mode
> register page menu-bar rfn-eshadow timer select scroll-bar mldrag mouse
> jit-lock font-lock syntax facemenu font-core frame cham georgian
> utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
> japanese hebrew greek romanian slovak czech european ethiopic indian
> cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
> loaddefs button minibuffer faces cus-face files text-properties overlay
> md5 base64 format env code-pages mule custom widget
> hashtable-print-readable backquote make-network-process ns multi-tty
> emacs)
> 
> Command line: (/Applications/Aquamacs.app/Contents/MacOS/Aquamacs)
> 
> PATH: ~/bin:/usr/local/bin:/usr/local/sbin:/usr/local/mysql/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/texbin:/usr/X11/bin:~/bin:/usr/local/sbin:/usr/local/mysql/bin:/usr/local/Cellar/python/2.7/bin:/Developer/Tools:/Users/jeffreyhorn/.cabal/bin:/Users/jeffreyhorn/Library/Application
> Support/MultiMarkdown/bin:/Library/Frameworks/Python.framework/Versions/2.7/bin:/Library/Frameworks/Python.framework/Versions/3.1/bin:/Developer/Tools:/Users/jeffreyhorn/.cabal/bin:/Users/jeffreyhorn/Library/Application
> Support/MultiMarkdown/bin:/Users/jeffreyhorn/src/reduce-algebra/trunk/bin:/usr/local/nmh/bin:~/bin:/usr/local/bin:/usr/local/sbin:/usr/local/mysql/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/texbin:/usr/X11/bin:/usr/local/Cellar/python/2.7/bin:/Developer/Tools:/Users/jeffreyhorn/.cabal/bin:/Users/jeffreyhorn/Library/Application
> Support/MultiMarkdown/bin:/usr/texbin:/usr/local/texlive/2010/bin:/usr/local/texlive/2009/bin:/usr/local/texlive/2008/bin
> 
> exec-path: (~/bin /usr/local/bin /usr/local/sbin /usr/local/mysql/bin
> /usr/bin /bin /usr/sbin /sbin /usr/local/bin /usr/texbin /usr/X11/bin
> ~/bin /usr/local/sbin /usr/local/mysql/bin
> /usr/local/Cellar/python/2.7/bin /Developer/Tools
> /Users/jeffreyhorn/.cabal/bin /Users/jeffreyhorn/Library/Application
> Support/MultiMarkdown/bin
> /Library/Frameworks/Python.framework/Versions/2.7/bin
> /Library/Frameworks/Python.framework/Versions/3.1/bin /Developer/Tools
> /Users/jeffreyhorn/.cabal/bin /Users/jeffreyhorn/Library/Application
> Support/MultiMarkdown/bin
> /Users/jeffreyhorn/src/reduce-algebra/trunk/bin /usr/local/nmh/bin
> ~/bin /usr/local/bin /usr/local/sbin /usr/local/mysql/bin /usr/bin
> /bin /usr/sbin /sbin /usr/local/bin /usr/texbin /usr/X11/bin
> /usr/local/Cellar/python/2.7/bin /Developer/Tools
> /Users/jeffreyhorn/.cabal/bin /Users/jeffreyhorn/Library/Application
> Support/MultiMarkdown/bin
> /Applications/Aquamacs.app/Contents/MacOS/bin
> /usr/local/texlive/2010/bin /usr/local/texlive/2009/bin
> /usr/local/texlive/2008/bin)*** E-Mail body has been placed on
> clipboard, please paste it here! ***
> _______________________________________________
> Aquamacs-bugs mailing list
> [email-masked]
> http://lists.aquamacs.org/mailman/listinfo.cgi/aquamacs-bugs